<?php
if (!$prefs->isLocked('default_projectlist')):
    $projectlists = Igal::listProjectlists();
    if (($default_projectlist = $prefs->getValue('default_projectlist')) == null ||
        !isset($projectlists[$default_projectlist])) {
        $default_projectlist = Auth::getAuth();
    }
?>

<?php echo _("Your default project list:") ?><br />
<select name="default_projectlist" class="fixed">
<?php foreach ($projectlists as $id => $projectlist): ?>
    <option value="<?php echo $id ?>"<?php if ($id == $default_projectlist) echo ' selected="selected"'; ?>><?php echo $projectlist->getShareName()?></option>
<?php endforeach; ?>
</select><br /><br />
<?php endif; ?>
