<?php 
    #$projecturl = Horde::addParameter('image.php', 'project=1'/* . $project['project_id']*/);
    #$projecturl = Horde::addParameter($projecturl, 'projectlist=' . $projectlist_id);
?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr>
    <td class="item" align="right" valign="top"><b><?php echo _("Name") ?></b>&nbsp;</td>
    <td class="item" width="100%">
        <input name="project_name" type="text" value="<?php echo htmlspecialchars($project_name) ?>" size="50" maxlength="100" />
    </td>
</tr>

<?php if (!$prefs->isLocked('default_projectlist') && count($projectlists = Igal::listProjectlists())): ?>
<tr>
    <td class="item" align="right" valign="top"><b><?php echo _("Project List") ?></b>&nbsp;</td>
    <td class="item" width="100%">

    <select id="projectlist_target" name="projectlist_target">
    <?php
    foreach ($projectlists as $id => $projectlist) {
      if ($projectlist->hasPermission(Auth::getAuth(), _PERMS_EDIT)) {
          $sel = ($id == $projectlist_id) ? ' selected="selected"' : '';
          echo sprintf('<option value="%s"%s>%s</option>',
                $id, $sel, $projectlist->getShareName()) . "\n";
      }
    } ?>
    </select>
    
    </td>
</tr>
<?php else: ?>
<input type="hidden" name="projectlist_target" value="<?php echo htmlspecialchars(Auth::getAuth()) ?>" />
<?php endif; ?>

<tr>
    <td class="item" align="right" valign="top"><b><?php echo _("Category") ?></b>&nbsp;</td>
    <td class="item" width="100%">
        <?php echo Igal::buildCategoryWidget('project_category', $project_category, false) ?>
    </td>
</tr>
<tr>
    <td class="item" align="right" valign="top"><b><?php echo _("Description") ?></b>&nbsp;</td>
    <td class="item" width="100%">
        <textarea name="project_desc" cols="50" rows="5"><?php echo htmlspecialchars($project_desc) ?></textarea>
    </td>
</tr>
</table>
