<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr><td class="menu"><table border="0" width="100%"><tr>
<?php

/* Igal menu items. */
Menu::printItem(Horde::applicationUrl('list.php'), _("List Projects"), 'list.gif');
if (count(Igal::listProjectlists(false, _PERMS_EDIT))) {
    Menu::printItem(Horde::applicationUrl(Horde::addParameter('project.php', 'actionID=' . IGAL_ADD_PROJECT)), _("New Project"), 'add.gif');
}
Menu::printItem(Horde::applicationUrl('search.php'), _("Search"), 'search.gif');

/* Import/Export. */
if ($conf['menu']['import_export']) {
    Menu::printItem(Horde::applicationUrl('data.php'), _("Import/Export"), 'data.gif', $registry->getParam('graphics', 'horde'));
}

/* Print. */
if($conf['menu']['print'] && isset($print_link) && $browser->hasFeature('javascript')) {
    Menu::printItem('#', _("Print"), 'print.gif', $registry->getParam('graphics', 'horde'), '', "open_print_win('$print_link'); return false;");
}

/* Additional site-specific menu items. */
Menu::siteLinks();

/* Settings */

if (($conf['prefs']['driver'] != '') && ($conf['prefs']['driver'] != 'none')) {
    Menu::printItem(Horde::applicationUrl('prefs.php'), _("Options"), 'prefs.gif', $registry->getParam('graphics', 'horde'));
    }
    
/* Online Help */
if ($conf['user']['online_help'] && $browser->hasFeature('javascript')) {
    Menu::printItem(Help::listLink('igal'), _("Help"), 'manual.gif', $registry->getParam('graphics', 'horde'));
}

/* Links to other Horde applications. */
Menu::appLinks();
?>

<td width="100%">&nbsp;</td><!-- spacer -->
<?php if (!$prefs->isLocked('default_projectlist') && (count($projectlists) > 1 || !count($GLOBALS['display_projectlists']))): ?>
<?php Menu::printItem('#', _("Show"), 'igal.gif', null, null, 'return listProjectlistsSubmit();', '__noselection'); ?>
<td class="light" align="left">
<form action="<?php echo Horde::applicationUrl('list.php') ?>" method="post" name="projectlistsmenu">
<?php Horde::pformInput() ?>
<select name="display_projectlist" onchange="listProjectlistsSubmit();">
  <option value=""><?php echo _("Show Projectlists:") ?></option>
<?php foreach ($projectlists as $id => $projectlist): ?>
  <option value="<?php echo $id ?>"><?php echo (in_array($id, $GLOBALS['display_projectlists']) ? '* ' : '') . $projectlist->getShareName() ?></option>
<?php endforeach; ?>
</select>
</form>
<script language="JavaScript" type="text/javascript">
<!--
var loading;
function listProjectlistsSubmit()
{
    document.projectlistsmenu.submit();
    return false;
}
// -->
</script>
</td>
<?php endif; ?>

</tr></table></td></tr></table><br />
